ttest(1)

NAME
ttest - T-tests

SYNOPSIS
ttest [options] imageX0 [imageX1 ...] -- imageY0 [imageY1] ... ttest [options] --symmetric imageX0 [imageX1 ...]

DESCRIPTION
Pixelwise tests of statistical significance. Also compute correlations and z-scores

OPTIONS

  Global Toolkit Options (these are shared by all CMTK tools)

--help
    Write list of basic command line options to standard output.

--help-all
    Write complete list of basic and advanced command line options to standard output.

--wiki
    Write list of command line options to standard output in MediaWiki markup.

--man
    Write man page source in 'nroff' markup to standard output.

--version
    Write toolkit version to standard output.

--echo
    Write the current command line to standard output.

--verbose-level <integer>
    Set verbosity level.

--verbose, -v
    Increment verbosity level by 1 (deprecated; supported for backward compatibility).

--threads <integer>
    Set maximum number of parallel threads (for POSIX threads and OpenMP).

  Main Options

--log, -l
    Use log data for testing

--abs, -a
    Use absolute data for testing

--abs-out, -A
    Generate absolute (unsigned) data

--invert, -i
    Invert data, i.e., subtract from 1.0

--short, -s
    Convert probabilities to short (and scale by 1000)

--paired, -p
    Compute paired t-test [default: groupwise]

--cross-correlation, -c
    Compute paired cross-correlation

--zscores, -Z
    Compute z-scores of test (y) distribution averages

--text, -t
    Text file input and output rather than image files.

--mask <string>, -m <string>
    Mask file name [Default: NONE]

--outfile <string>, -o <string>
    Output file name [Default: ttest.nii ]

--tstats-file <string>
    T-statistics output file name (for correlation: p-value output file) [Default: NONE]

AUTHORS
Torsten Rohlfing, with contributions from Michael P. Hasak, Greg Jefferis, Calvin R. Maurer, Daniel B. Russakoff, and Yaroslav Halchenko

LICENSE
http://www.fsf.org/licensing/licenses/gpl.html

BUGS
Report bugs at http://nitrc.org/projects/cmtk/

ACKNOWLEDGMENTS
CMTK is developed with support from the NIAAA under Grant AA021697, National Consortium on Alcohol and Neurodevelopment in Adolescence (N-CANDA): Data Integration Component. From April 2009 through September 2011, CMTK development and maintenance was supported by the NIBIB under Grant EB008381.